geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jarek Gawor <jga...@gmail.com>
Subject Java 7 genesis and specs
Date Tue, 11 Jun 2013 14:56:40 GMT
Hi all,

Some of the new Java EE 7 spec API (as for example servlet 3.1)
requires Java 7 to build. For that I created genesis-java7-flava in
genesis with Java 7 settings and updated the specs module to compile
with Java 7. Buildbot was updated as well to use Java 7 for the
genesis and specs modules. Even though Java 7 is used to compile some
of the older spec jars, the compiler is configured with the right
-source/-target options so that everything should be still fine on the
older JVMs.

Let me know if there are any concerns with this,
Jarek

Mime
View raw message